<script>
    export /**
     * @type {any}
     */
    let account_full;

    export let default_acct = {
        name: '<invalid data>',
        id: 'N/A'
    };

    export /**
     * @type {any}
     */
    let account_object = account_full.objects[account_full.id]
        ? account_full.objects[account_full.id]
        : default_acct;

    export /**
     * @type {any}
     */
    let names = account_full.names ? account_full.names : {};

    /**
     * @param {string} id
     */
    export function id_or_name(id) {
        return id in names ? names[id] : id;
    }

    /**
     * @param {string} id
     */
    export function id_or_name_link(id) {
        return '/u/' + (id in names ? names[id] : id.split('.')[2]);
    }
</script>

<div class="px-7 py-3 w-full">
    <div class="p-4 flex w-full flex-col border-2 border-solid border-gray-500 rounded-3xl">
        <div class="flex w-full justify-between text-lg font-semibold px-4 py-1">
            <div>
                <h2>{account_object.name}</h2>
            </div>
            <div>
                <span>({account_object.id})</span>
            </div>
        </div>
        <div class="border-b-2 border-solid border-gray-600 h-[2px]" />
        <div class="p-3 flex flex-col">
            <div class="flex gap-8 text-sm font-semibold">
                <div>
                    <p>Registrar:</p>
                </div>
                <div class="px-4">
                    <p>
                        {#if account_object.registrar}
                            <a href={id_or_name_link(account_object.registrar)}>
                                {id_or_name(account_object.registrar)}
                            </a>
                        {:else}
                            invalid
                        {/if}
                    </p>
                </div>
            </div>
            <div class="flex gap-8 text-sm font-semibold">
                <div>
                    <p>Referrer:</p>
                </div>
                <div class="px-4">
                    <p>
                        {#if account_object.referrer}
                            <a href={id_or_name_link(account_object.referrer)}>
                                {id_or_name(account_object.referrer)}
                            </a>
                        {:else}
                            invalid
                        {/if}
                    </p>
                </div>
            </div>

            <div class="flex gap-8 text-sm font-semibold">
                <div>
                    <p>Statistics:</p>
                </div>
                <div class="px-4">
                    <p>{account_object.statistics != undefined ? account_object.statistics : ''}</p>
                </div>
            </div>
        </div>
    </div>
</div>
